package glassfish.issue3240;

import java.util.List;

import javax.ejb.Stateless;
import javax.jws.WebMethod;
import javax.jws.WebService;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

@Stateless
@WebService
public class TestBean 
{
	@PersistenceContext private EntityManager em;
	
	@WebMethod
	public String testQuery()
	{
		StringBuffer sb = new StringBuffer();
		Query q = em.createNativeQuery("select * from test_entity where contains(test_field, GeomFromText('POINT(4 5.5)'))", TestEntity.class);
		List<TestEntity> l = q.getResultList();
		for(TestEntity ent: l)
		{
			sb.append(ent.getTestField().getValue());
			sb.append("<br/>\n");
		}
		return sb.toString();
	}
}
